Bug 1120451 - Qt5 5.3.1-5.6.1 behaves 'strangely' with IBUS (tested under Gnome Shell)
Summary: Qt5 5.3.1-5.6.1 behaves 'strangely' with IBUS (tested under Gnome Shell)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 00:55 UTC by Hedayat Vatankhah
Modified: 2018-05-29 12:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:08:27 UTC


Attachments (Terms of Use)
sample QML app with a TextField (3.73 KB, application/x-xz)
2017-07-20 13:57 UTC, Hedayat Vatankhah
no flags Details


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-42074 None None None 2017-07-18 20:26:26 UTC

Description Hedayat Vatankhah 2014-07-17 00:55:32 UTC
Description of problem:
I've tested Qt5 applications (both widgets and QML based ones) under Fedora 20 (using qt5 5.3.1 packages in updates-testing repo), and while I can type in alternative keyboard layouts (unlike the older versions in stable repos), it behaves strangely:

First, switching between keyboard layouts doesn't always work: it sometimes work, other times it has no effect. Actually, it might happen when not expected: For example, I switch from 'en' to 'fa', but in the Qt5 app it still types in English. I switch back from 'fa' to 'en', and surprisingly, it starts typing in Persian! (It usually works when I press 'Enter' before switching the layout).

Second, the alternative layout does not work properly. Normally, when 'fa' ('ir') layout is active, it is possible to write ZWNJ character using Shift+Space keys. But it doesn't work in Qt5 applications with 'fa' layout is active. Unlike the first problem, this problem happens always, I never could type ZWNJ character using Shift+Space key combination.

Comment 1 Jan Grulich 2014-07-17 06:04:13 UTC
Can you please try some older build? You can find them all here [1]. E.g try qt5-qtbase-5.3.1-2.fc20, because in the latest one there are some changes in keyboard support.

[1] - http://koji.fedoraproject.org/koji/packageinfo?packageID=15742

Comment 2 Hedayat Vatankhah 2014-07-18 01:07:00 UTC
I tried it, and it behaves worse: like previous versions, keyboard layout doesn't work at all with qt5-qtbase 5.3.1-2. It seems that 5.3.1-4 is the first release with SOME layout support!

Comment 3 Kevin Kofler 2014-07-18 06:13:36 UTC
It might be worth trying with a newer libxkbcommon.

Comment 4 Hedayat Vatankhah 2014-07-18 08:01:36 UTC
I see that there is a ibus-qt package which apparently adds ibus support for Qt4 through an inputmethods plugin. In Internet I read that Qt5 is supposed to have integrated ibus support. Does it also work through libxkbcommon?
And, are there any newer builds of libxkbcommon for me to test?

Comment 5 Kevin Kofler 2014-07-18 22:15:29 UTC
Try this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7165505

Comment 6 Hedayat Vatankhah 2014-07-19 00:51:53 UTC
Not any better (I 'feel' that switching works more often than before, but I don't trust this feeling. Anyway, both problems still persist).

Comment 7 Fedora End Of Life 2015-05-29 12:23:23 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Hedayat Vatankhah 2015-05-29 15:29:26 UTC
The first problem seems to be fixed (at least in F22). However, the second problem persists at least in QML applications.

Comment 9 Hedayat Vatankhah 2015-07-27 08:13:20 UTC
The bug is apparently fixed in the latest Qt5 packages in F22.

Comment 10 Hedayat Vatankhah 2015-08-21 06:21:42 UTC
I was wrong. I tested with two applications and thought that the bug is fixed. Actually, the first app doesn't use Fedora Qt5 at all (It is Telegram Desktop which uses its own patched version of Qt5), and the second app works around the Qt bug itself by handling key press events. 

So, the bug in Fedora Qt5 is not fixed. However, since Telegram works fine, either they have also patched Qt for this bug too, or this bug is specific to Fedora version of Qt5. 

Anyway, the bug is still there: inserting ZWNJ character in fa keyboard layout doesn't work.

Comment 11 Hedayat Vatankhah 2015-08-21 06:24:53 UTC
And the bug is present in both QML & Qt Widgets applications.

Comment 12 Fedora End Of Life 2016-07-19 11:56:22 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Ngo Than 2017-07-18 09:09:10 UTC
i cannot reproduce this issue in F26. F24 will reach the EOL very soon, in my opinion it doesn't make sense to update new qt in f24. I strong recommend the update to f26.

thanks

Comment 14 Hedayat Vatankhah 2017-07-18 18:38:51 UTC
Tried typing ZWNJ (with fa keyboard layout) inside Qt5 Linguist in F26, with Qt 5.7.1, and it still doesn't work. It seems a really annoying & long-standing bug, so I'll also fill it upstream.

To reproduce, you can enable 'fa' layout, then try Shift+Space and see if it types any (invisible) character (You can detect it by typing a few letters and then Shift+Space, then try Backspace. If there is an invisible character, the first Backspace doesn't have any visible effects). It works in non-Qt5 apps (even in Qt4 apps), but doesn't work in Qt5 apps.

Comment 15 Hedayat Vatankhah 2017-07-18 20:26:27 UTC
Seems to be resolved recently

Comment 16 Ngo Than 2017-07-19 14:48:56 UTC
(In reply to Hedayat Vatankhah from comment #15)
> Seems to be resolved recently

i did scratch build qt5-qtbase-5.7.1-20.fc26 with the fix. Please download from
https://koji.fedoraproject.org/koji/taskinfo?taskID=20611598
and update on your systemtem.

Please let me know if the issue is fixed, thanks!

Comment 17 Hedayat Vatankhah 2017-07-19 20:25:12 UTC
After updating only qt5-qtbase, qt5-qtbase-common, and qt5-qtbase-gui, the problem is now fixed in Qt5 Linguist.
However, it is not fixed in QML applications. While I've not updated other qt5-qtbase packages, it is probably fixed after applying the qtdeclarative patch too. But I'd guess it'll work fine too.

Thanks

Comment 18 Ngo Than 2017-07-20 07:47:02 UTC
(In reply to Hedayat Vatankhah from comment #17)
> After updating only qt5-qtbase, qt5-qtbase-common, and qt5-qtbase-gui, the
> problem is now fixed in Qt5 Linguist.

thanks for testing and confirmation of the fix.

> However, it is not fixed in QML applications. While I've not updated other
> qt5-qtbase packages, it is probably fixed after applying the qtdeclarative
> patch too. But I'd guess it'll work fine too.
> 
For QML application you need to update to new qtdeclarative with the fix.
I'm still working on it. I will build today and let you know for testing.

Thanks

Comment 19 Ngo Than 2017-07-20 09:17:23 UTC
I upload the new qtdeclarative with the fix for this issue. Please donwload the new packages from https://than.fedorapeople.org/f26/
and let me know if it's fixed.

Thanks

Comment 20 Hedayat Vatankhah 2017-07-20 12:43:39 UTC
The update fixes the problem for QML applications too. The bug is fixed there too. But, there is a problem. While Qt Quick Controls 2 TextArea works fine, and also QML's TextEdit, I can't type anything inside Quick Controls 2 Text Field and the application crashes with the following errors:

QObject::killTimer(): Error: timer id -1 is not valid for object 0x1a6f600 (QQuickTextField, ), timer has not been killed
QBasicTimer::start: Stopping previous timer failed. Possibly trying to stop from a different thread

Comment 21 Ngo Than 2017-07-20 12:52:36 UTC
(In reply to Hedayat Vatankhah from comment #20)
> The update fixes the problem for QML applications too. The bug is fixed
> there too. But, there is a problem. While Qt Quick Controls 2 TextArea works
> fine, and also QML's TextEdit, I can't type anything inside Quick Controls 2
> Text Field and the application crashes with the following errors:
> 

Does this issue appear before the update to new qtbase and qtdeclarative?
I need to know if it's a regession with the new packages or just another bug.

Please provide a backtrace of the crash!

Thanks

Comment 22 Hedayat Vatankhah 2017-07-20 13:02:52 UTC
Actually, I downgraded qt5-qtdeclarative packages and TextField didn't crash (while qt5-qtbase packages were updated with the ones provided here). Upgraded qt5-qtdeclarative & qt5-qtdeclarative-devel packages and it crashed again.

I should mention that I've NOT updated all qt5-qtbase packages, but I think I've updated all the relevant ones:

# rpm -qa "qt5-qtbase*"
qt5-qtbase-tds-5.7.1-15.fc26.x86_64
qt5-qtbase-static-5.7.1-15.fc26.x86_64
qt5-qtbase-mysql-5.7.1-15.fc26.x86_64
qt5-qtbase-odbc-5.7.1-15.fc26.x86_64
qt5-qtbase-devel-5.7.1-20.fc26.x86_64
qt5-qtbase-ibase-5.7.1-15.fc26.x86_64
qt5-qtbase-doc-5.7.1-15.fc26.noarch
qt5-qtbase-examples-5.7.1-15.fc26.x86_64
qt5-qtbase-gui-5.7.1-20.fc26.x86_64
qt5-qtbase-postgresql-5.7.1-15.fc26.x86_64
qt5-qtbase-5.7.1-20.fc26.x86_64
qt5-qtbase-common-5.7.1-20.fc26.noarch


And, this is the backtrace:


Thread 8 (Thread 0x7fffc9968700 (LWP 23382)):
#0  0x00007ffff5c92a9d in poll () at /usr/lib64/libc.so.6
#1  0x00007ffff1deb569 in g_main_context_iterate.isra () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff1deb67c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff6f54e4f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007ffff6f0560a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ffff6d5d99a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007fffd80cec2b in QQmlDebugServerThread::run() () at /usr/lib64/qt5/plugins/qmltooling/libqmldbg_server.so
#7  0x00007ffff6d61c9e in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#8  0x00007ffff681b36d in start_thread () at /usr/lib64/libpthread.so.0
#9  0x00007ffff5c9eb8f in clone () at /usr/lib64/libc.so.6

Thread 7 (Thread 0x7fffca969700 (LWP 23381)):
#0  0x00007ffff5c92a9d in poll () at /usr/lib64/libc.so.6
#1  0x00007ffff1deb569 in g_main_context_iterate.isra () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff1deb67c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff6f54e4f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007ffff6f0560a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ffff6d5d99a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007ffff7416935 in QQmlThreadPrivate::run() () at /usr/lib64/libQt5Qml.so.5
#7  0x00007ffff6d61c9e in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#8  0x00007ffff681b36d in start_thread () at /usr/lib64/libpthread.so.0
#9  0x00007ffff5c9eb8f in clone () at /usr/lib64/libc.so.6

Thread 6 (Thread 0x7fffcb16a700 (LWP 23379)):
#0  0x00007ffff5c92a9d in poll () at /usr/lib64/libc.so.6
#1  0x00007ffff1deb569 in g_main_context_iterate.isra () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff1deb67c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff6f54e4f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007ffff6f0560a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ffff6d5d99a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007fffe5724a39 in QDBusConnectionManager::run() () at /usr/lib64/libQt5DBus.so.5
#7  0x00007ffff6d61c9e in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#8  0x00007ffff681b36d in start_thread () at /usr/lib64/libpthread.so.0
#9  0x00007ffff5c9eb8f in clone () at /usr/lib64/libc.so.6

Thread 5 (Thread 0x7fffd9887700 (LWP 23377)):
#0  0x00007ffff5c92a9d in poll () at /usr/lib64/libc.so.6
#1  0x00007ffff1deb569 in g_main_context_iterate.isra () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff1deb902 in g_main_loop_run () at /usr/lib64/libglib-2.0.so.0
#3  0x00007fffe4379cb6 in gdbus_shared_thread_func () at /usr/lib64/libgio-2.0.so.0
#4  0x00007ffff1e12536 in g_thread_proxy () at /usr/lib64/libglib-2.0.so.0
#5  0x00007ffff681b36d in start_thread () at /usr/lib64/libpthread.so.0
#6  0x00007ffff5c9eb8f in clone () at /usr/lib64/libc.so.6

Thread 4 (Thread 0x7fffda088700 (LWP 23376)):
#0  0x00007ffff5c92a9d in poll () at /usr/lib64/libc.so.6
#1  0x00007ffff1deb569 in g_main_context_iterate.isra () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff1deb67c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ffff1deb6c1 in glib_worker_main () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ffff1e12536 in g_thread_proxy () at /usr/lib64/libglib-2.0.so.0
#5  0x00007ffff681b36d in start_thread () at /usr/lib64/libpthread.so.0
#6  0x00007ffff5c9eb8f in clone () at /usr/lib64/libc.so.6

Thread 3 (Thread 0x7fffda8a3700 (LWP 23375)):
#0  0x00007ffff5c92a9d in poll () at /usr/lib64/libc.so.6
#1  0x00007ffff1deb569 in g_main_context_iterate.isra () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ffff1deb67c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007fffda8aaf3d in dconf_gdbus_worker_thread () at /usr/lib64/gio/modules/libdconfsettings.so
#4  0x00007ffff1e12536 in g_thread_proxy () at /usr/lib64/libglib-2.0.so.0
#5  0x00007ffff681b36d in start_thread () at /usr/lib64/libpthread.so.0
#6  0x00007ffff5c9eb8f in clone () at /usr/lib64/libc.so.6

Thread 2 (Thread 0x7fffe3a04700 (LWP 23374)):
#0  0x00007ffff5c92a9d in poll () at /usr/lib64/libc.so.6
#1  0x00007fffef854c97 in _xcb_conn_wait () at /usr/lib64/libxcb.so.1
#2  0x00007fffef856a8a in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007fffe87c0ba9 in QXcbEventReader::run() () at /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007ffff6d61c9e in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#5  0x00007ffff681b36d in start_thread () at /usr/lib64/libpthread.so.0
#6  0x00007ffff5c9eb8f in clone () at /usr/lib64/libc.so.6

Thread 1 (Thread 0x7fffef4308c0 (LWP 23368)):
#0  0x00007ffff7bd7fa4 in QQuickTextInputPrivate::emitUndoRedoChanged() () at /usr/lib64/libQt5Quick.so.5
#1  0x00007ffff7bdc10b in QQuickTextInputPrivate::finishChange(int, bool, bool) () at /usr/lib64/libQt5Quick.so.5
#2  0x00007ffff7be0d5f in QQuickTextInputPrivate::processKeyEvent(QKeyEvent*) () at /usr/lib64/libQt5Quick.so.5
#3  0x00007ffff7be0e28 in QQuickTextInput::keyPressEvent(QKeyEvent*) () at /usr/lib64/libQt5Quick.so.5
#4  0x00007ffff7b7eabf in QQuickItemPrivate::deliverKeyEvent(QKeyEvent*) () at /usr/lib64/libQt5Quick.so.5
#5  0x00007ffff7b7ecf1 in QQuickItem::event(QEvent*) () at /usr/lib64/libQt5Quick.so.5
#6  0x00007ffff6f0653a in doNotify(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#7  0x00007ffff6f06627 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#8  0x00007ffff7b8eea4 in QQuickWindow::sendEvent(QQuickItem*, QEvent*) () at /usr/lib64/libQt5Quick.so.5
#9  0x00007ffff7b8f19f in QQuickWindow::keyPressEvent(QKeyEvent*) () at /usr/lib64/libQt5Quick.so.5
#10 0x00007ffff763e625 in QWindow::event(QEvent*) () at /usr/lib64/libQt5Gui.so.5
#11 0x00007ffff7b96995 in QQuickWindow::event(QEvent*) () at /usr/lib64/libQt5Quick.so.5
#12 0x00007ffff6f0653a in doNotify(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#13 0x00007ffff6f06627 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#14 0x00007ffff762fc10 in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) () at /usr/lib64/libQt5Gui.so.5
#15 0x00007ffff7634b85 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /usr/lib64/libQt5Gui.so.5
#16 0x00007ffff76133cb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Gui.so.5
#17 0x00007fffe87f37a0 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /usr/lib64/libQt5XcbQpa.so.5
#18 0x00007ffff1deb247 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#19 0x00007ffff1deb5e8 in g_main_context_iterate.isra () at /usr/lib64/libglib-2.0.so.0
#20 0x00007ffff1deb67c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#21 0x00007ffff6f54e4f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#22 0x00007ffff6f0560a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#23 0x00007ffff6f0d27c in QCoreApplication::exec() () at /usr/lib64/libQt5Core.so.5
#24 0x0000000000400e70 in main(int, char**) (argc=1, argv=0x7fffffffdc68) at ../test/main.cpp:12
        app = <incomplete type>
        engine = <incomplete type>

Comment 23 Ngo Than 2017-07-20 13:38:32 UTC
it seems a regression in the fix. Could you provide an simple testcase so i can reproduce the crash?

Thanks

Comment 24 Hedayat Vatankhah 2017-07-20 13:56:19 UTC
Actually, you can create a simple test case by just creating a Qt Quick Controls 2 Application in Qt creator. It already provides a QML GUI with a Text Field and a "Press Me" button (and other things). 

Anyway, I also attach the sample modified to also include a Text Area and a TextEdit component (which don't crash).

All you need to do is to click inside the TextField and try to input some chars (Even in English). It crashes with a segfault (but sometimes the UI remains open:P).

Comment 25 Hedayat Vatankhah 2017-07-20 13:57:17 UTC
Created attachment 1301748 [details]
sample QML app with a TextField

Comment 26 Ngo Than 2017-07-20 16:09:17 UTC
Thanks for the testcase. I can reproduce this issue with your testcase. Please fill a new bug for this issue against qt5-qtdeclarative because it's a bug there. It's easy for me to track the problem.

Thanks

Comment 27 Hedayat Vatankhah 2017-07-20 20:12:15 UTC
You're welcome :)
The bug is filled: bug #1473431

Comment 28 Fedora End Of Life 2018-05-03 08:26:35 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 29 Fedora End Of Life 2018-05-29 12:08:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.